<?php

//---------------------------------------------------------------------------------------------------------
// 06/Junio/2016
// Versión 1.0 Extensión usuario widget personalizables
//---------------------------------------------------------------------------------------------------------



function loginV2($opciones = NULL) {
    include('comunes/globals.php');
	//Variables extra que voy a necesitar
    $email_por_defecto = Sesion::get('email_login');
	//Inicializamos las variables que se pasan como parámetros
	$opciones = new ObOptions($opciones);
	$fichero_login = $opciones->getDefaultValue('fichero_login', 'login');
	$ocultarCabecera = $opciones->getDefaultValue('ocultarCabecera', false);
	//Vamos a buscar el fichero a incluir
	//$ruta_fichero = $fichero_login . '.php';
	//$ruta_fichero = Theme::findFile($ruta_fichero);
	//if ($ruta_fichero != NULL) {
		//Variables OBLIGATORIAS
		$error_login = '';
		$cod_error_login = 0;
		?>
		<?php
		if (!$ocultarCabecera) {
			?>
			<div class="<?= (__FUNCTION__); ?>">
				<?php
			}
			/* <form action="<?= parse_url($_SERVER["REQUEST_URI"], PHP_URL_PATH); ?>" method="post" class="login_simple"> */
			?>
			<form action="<?= parse_url($_SERVER["REQUEST_URI"], PHP_URL_PATH); ?>" method="post" class="login_simple">
				<input  type="hidden" name="pendiente_sinlib" value="1">
				<?php
				Theme::include_file($fichero_login . '.php');
				?>
			</form>
			<?php
			if (!$ocultarCabecera) {
				?>
			</div>
			<?php
		}
    //}
}
//Pedro 07/Mayo/2019 ==> No tiene sentido que esto se haga así, comenatmos la función para asegurarnos de que no se usa:
/*
function mod_password_usuarioV2($opciones = NULL) {
    include('comunes/globals.php');
    $ocultarCabecera = false;
    $fichero = 'form_mod_pass';

    if ($opciones == NULL) {
        //En caso de venir en nulo lo creamos
        $opciones = new OpcionesWidget();
    }

    if (is_a($opciones, 'OpcionesWidget')) {
        //Extraemos los datos del opciones
        $fichero = ($opciones->configuracion->fichero != NULL) ? $opciones->configuracion->fichero : $fichero;
        $ocultarCabecera = ($opciones->configuracion->ocultarCabecera != NULL) ? $opciones->configuracion->ocultarCabecera : $ocultarCabecera;
        ;
        //Aquí incluimos el fichero
        $ruta_fichero = Theme::findFile($fichero . '.php');
        ?>
        <?php
        if (!$ocultarCabecera) {
            ?>
            <div class="<?= (__FUNCTION__); ?>">
                <?php
            }
            ?>
            <h3><?= traducir('Contraseña'); ?></h3>
            <?php
            //Si todo ha sido correcto no muestro el texto introductorio, si no que muestro un P indicando que todo ha sido correcto
            if ($correcto == 'correcto') {
                ?>
                <p class="mod_datos_correcto"><?= $texto_a_mostrar; ?></p>
                <?php
            } else {
                ?>
                <p><?= traducir('Para modificar su password escriba su password actual y posteriormente escriba el nuevo password. Por seguridad debe repetir la nueva contraseña en el tercer campo. Una vez introducidos pulse sobre el botón "Modificar password".'); ?></p>			
                <?php
                if ($correcto == 'error') {
                    ?>
                    <p class="error_mod_datos"><?= $texto_a_mostrar; ?></p>
                    <?php
                }
            }
            ?>
            <form action="<?= parse_url($_SERVER["REQUEST_URI"], PHP_URL_PATH); ?>" method="post" class="mod_datos_simple">
                <?php
                if ($ruta_fichero != NULL) {
                    include($ruta_fichero);
                }
                ?>
            </form>
            <?php
            crear_script_control_mod_pass();
            ?>
            <p class="error_mod_pass"></p>
            <?php
            if (!$ocultarCabecera) {
                ?>
            </div>
            <?php
        }
        ?>
        <?php
    }
}
*/
function datos_usuario($opciones = NULL) {
    include('comunes/globals.php');
    $ocultarCabecera = false;
    $codigo_usuario = 0;
    $fichero_usuario = 'datos_usuario';
    if ($opciones == NULL) {
        $opciones = new OpcionesWidget();
    }
    if (is_a($opciones, 'OpcionesWidget')) {
        $codigo_usuario = ($opciones->configuracion->codigo_usuario != NULL) ? $opciones->configuracion->codigo_usuario : $codigo_usuario;
        $fichero_usuario = ($opciones->configuracion->fichero_usuario != NULL) ? $opciones->configuracion->fichero_usuario : $fichero_usuario;
        $ocultarCabecera = ($opciones->configuracion->ocultarCabecera != NULL) ? $opciones->configuracion->ocultarCabecera : $ocultarCabecera;
        $usuario = NULL;
        if (is_numeric($codigo_usuario)) {
            $usuario = new Usuario($codigo_usuario);
        } else {
            $usuario = $codigo_usuario;
        }
        if ($usuario->codigo != 0) {
            $ruta_fichero = $fichero_usuario . '.php';
            $ruta_fichero = Theme::findFile($ruta_fichero);
            if ($ruta_fichero != NULL) {
                ?>
                <?php
                if (!$ocultarCabecera) {
                    ?>
                    <div class="<?= (__FUNCTION__); ?>">
                        <?php
                    }
                    ?>
                    <?php include($ruta_fichero); ?>
                    <?php
                    if (!$ocultarCabecera) {
                        ?>
                    </div>
                    <?php
                }
                ?>
                <?php
            }
        }
    }
}
?>